Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 757 - AutoPPP dialed-in user shows up as a_ppp
Summary: AutoPPP dialed-in user shows up as a_ppp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mgetty
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-09 14:29 UTC by Daniel Senie
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 03:34:25 UTC


Attachments (Terms of Use)

Description Daniel Senie 1999-01-09 14:29:59 UTC
With RHL 4.2, a user dialed in with AutoPPP and PAP
authentication showed in a "who" display as the user who
successfully logged in.

With RHL 5.2, the who display shows "a_ppp" instead.

This was noticed in converting a box which supports dialup
using Cyclades cards. I upgraded from 4.2 to 5.2 and a
number of problems cropped up, this was one.

Comment 1 ink 1999-04-06 14:24:59 UTC
Actually it's PAM bug. It's very unpleasant because it makes
users accounting impossible on dial-in server.

pppd-2.3.5 relies on the PAM modules for wtmp handling;
on other hand, look at quote from pam_lastlog docs:

  Overview of
module

   This session module maintains the /var/log/wtmp file. Adding an
open
   entry when called via the pam_open_seesion() function and
completing
   it when pam_close_session() is called.
   ...

But this functionality is missing.
So I think the right solution is adding utmp/wtmp stuff to the lastlog
module according its docs, and adding following line to /etc/pam.d/ppp
in the
case of dial-in server:

session    required     pam_lastlog.so

Patch for pam_lastlog follows (I used it successfully last 3 months).

Comment 2 Cristian Gafton 1999-04-10 03:34:59 UTC
fixed in ppp-2.3.7-1 and later source rpms.


Note You need to log in before you can comment on or make changes to this bug.